xmlencryption::Encrypter::EncryptionParams Struct Reference

Structure to collect encryption requirements. More...

`#include <xmltooling/encryption/Encrypter.h>`

Collaboration diagram for xmlencryption::Encrypter::EncryptionParams:
[legend]

## Public Member Functions

| EncryptionParams (const XMLCh *algorithm=DSIGConstants::s_unicodeStrURI3DES_CBC, const unsigned char *keyBuffer=0, unsigned int keyBufferSize=0, const xmltooling::Credential *credential=0, bool compact=false)
| Constructor.

## Public Attributes

const XMLCh * | m_algorithm
| Data encryption algorithm.
const unsigned char * | m_keyBuffer
| Buffer containing encryption key.
unsigned int | m_keyBufferSize
| Size of buffer.
const xmltooling::Credential * | m_credential
| Credential containing the encryption key.
bool | m_compact
| Flag limiting the size of the encrypted XML representation.

## Detailed Description

Structure to collect encryption requirements.

## Constructor & Destructor Documentation

## EncryptionParams()

xmlencryption::Encrypter::EncryptionParams::EncryptionParams | ( | const XMLCh * | algorithm = DSIGConstants::s_unicodeStrURI3DES_CBC,
|  | const unsigned char * | keyBuffer = 0,
|  | unsigned int | keyBufferSize = 0,
|  | const xmltooling::Credential * | credential = 0,
|  | bool | compact = false )

Constructor.

The algorithm constant and key buffer MUST be accessible for the life of the structure.

Parameters

  algorithm | the XML Encryption algorithm constant
  keyBuffer | buffer containing the raw key information
  keyBufferSize | the size of the raw key buffer in bytes
  credential | optional Credential supplying the encryption key
  compact | true iff the encrypted representation should be made as small as possible

The documentation for this struct was generated from the following file:

- xmltooling/encryption/Encrypter.h